MEMORY
{
PAGE 0 :	// RAM used for CODE
  LS0_3		: origin = 0x08000, length = 0x2000	// for RAMFUNCS
  BEGIN		: origin = 0x80000, length = 0x0002
  FLASH		: origin = 0x80002, length =0x3FFFE	// contiguous
  RESET		: origin =0x3FFFC0, length = 0x0002

PAGE 1 :	// RAM used for DATA
//  M0		: origin = 0x00004, length = 0x03FC
//  M1		: origin = 0x00400, length = 0x0400	// stack space
  LS4_5		: origin = 0x0A000, length = 0x1000
  D0_1		: origin = 0x0B000, length = 0x1000
  GS0_15	: origin = 0x0C000, length =0x10000
}


SECTIONS
{
  codestart	: > BEGIN,		PAGE = 0
  ramfuncs	: { * (.TI.ramfunc) }
			LOAD = FLASH,
			RUN = LS0_3,
			LOAD_START(_RamfuncsLoadStart),
			LOAD_SIZE(_RamfuncsLoadSize),
			LOAD_END(_RamfuncsLoadEnd),
			RUN_START(_RamfuncsRunStart),
					PAGE = 0
  .text		: > FLASH,		PAGE = 0
  .cinit	: > FLASH,		PAGE = 0
  .pinit	: > FLASH,		PAGE = 0
  .reset	: > RESET,		PAGE = 0, TYPE = DSECT
  .ebss		: > LS4_5,		PAGE = 1
  .econst	: > FLASH,		PAGE = 0
  .esysmem	: > GS0_15,		PAGE = 1
}
